<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imsuperres_params</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imsuperres.html">&lt;&lt; imsuperres</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_3f7d94ee9b4931d8a1f90f6aa311d406.html">Super Resolution</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_3f7d94ee9b4931d8a1f90f6aa311d406.html">Super Resolution</a> &gt; imsuperres_params</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imsuperres_params</h1>
    <p class="refpurpose">Super Resolution with Image Sequences Parameters</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">params</span><span class="default"> = </span><span class="functionid">imsuperres_params</span><span class="default">()</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">params :</span>
      <dd><p class="para">A structure which consist of following fields, used for imsuperres.</p></dd></dt>
   <dt><span class="term">rfactor :</span>
      <dd><p class="para">Magnification factor. The default is 4.</p></dd></dt>
   <dt><span class="term">iter :</span>
      <dd><p class="para">Number of iteration. The default is 50.</p></dd></dt>
   <dt><span class="term">beta1 :</span>
      <dd><p class="para">Asymptotic value of steepest descent method. The default is 1.3</p></dd></dt>
   <dt><span class="term">lambda :</span>
      <dd><p class="para">Weight parameter to balance data term and smoothness term. The default is 0.03</p></dd></dt>
   <dt><span class="term">alpha :</span>
      <dd><p class="para">Perform wave effect correction. The default is 0.7. btv kernel size is 7.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This function is used to create the initial parameters structure with initial values. The fields value could be easily changed and it will affect the super resolution result.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imsuperres.html" class="link">imsuperres</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imsuperres.html">&lt;&lt; imsuperres</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_3f7d94ee9b4931d8a1f90f6aa311d406.html">Super Resolution</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
